package top.r3944realms.lib39.client;

import com.mojang.blaze3d.vertex.DefaultVertexFormat;
import net.fabricmc.fabric.api.client.rendering.v1.CoreShaderRegistrationCallback;
import top.r3944realms.lib39.Lib39;
import top.r3944realms.lib39.client.shader.Lib39Shaders;

/**
 * The type Shader registry.
 */
public class ShaderRegistry {
    /**
     * Register.
     */
    public static void register() {
        CoreShaderRegistrationCallback.EVENT.register( context -> {
            context.register(
                    Lib39.rl("ring"), DefaultVertexFormat.POSITION_COLOR, Lib39Shaders::setRingShader
            );
            context.register(
                    Lib39.rl("selection"), DefaultVertexFormat.POSITION_COLOR, Lib39Shaders::setSelectionShader
            );
        });
    }
}
